package com.hys.app.controller.erp;

import com.hys.app.framework.database.WebPage;
import com.hys.app.model.erp.dto.EnterpriseDTO;
import com.hys.app.model.erp.dto.EnterpriseQueryParams;
import com.hys.app.model.erp.vo.EnterpriseVO;
import com.hys.app.model.erp.vo.ProductStockVO;
import com.hys.app.service.erp.EnterpriseManager;
import com.hys.app.service.erp.ScanCodeManager;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.List;
import java.util.Map;

/**
 * 企业 API
 *
 * @author 张崧
 * 2024-03-25 15:44:10
 */
@RestController
@RequestMapping("/admin/erp/scancode")
@Api(tags = "企业API")
@Validated
public class ScanCodeController {

    @Autowired
    private ScanCodeManager scanCodeManager;

    @ApiOperation(value = "分页列表")
    @GetMapping("/{orderCode}")
    public Map<String, Object> getListByScan(@PathVariable(value = "orderCode") String orderCode) {
        return scanCodeManager.getListByScan(orderCode);
    }



}

