package com.hys.app.model.erp.dto;

import com.hys.app.model.erp.enums.ScanFormCodeTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * 入库单商品明细新增/编辑DTO
 *
 * @author 张崧
 * @since 2023-12-05 15:30:10
 */
@Data
public class WarehouseEntryProductDTO {

    @ApiModelProperty(name = "product_id", value = "商品id")
    @NotNull(message = "库存id不能为空")
    private Long productId;

    @ApiModelProperty(name = "num", value = "本次入库数量")
    @NotNull(message = "本次入库数量不能为空")
    @Min(value = 1, message = "入库数量最小为1")
    private Integer num;


    @ApiModelProperty(name = "scan_order_id", value = "扫码的单号，扫码订单打出来的数据必传")
    private Long scanOrderId;

    @ApiModelProperty(name = "order_item_id", value = "订单项id,扫码订单打出来的数据必传")
    private Long orderItemId;

    @ApiModelProperty(name = "scan_order_sn", value = "扫码的单号，扫码订单打出来的数据必传")
    private String scanOrderSn;

    @ApiModelProperty(name = "scan_order_type", value = "扫码的单号，扫码订单打出来的数据必传")
    private ScanFormCodeTypeEnum scanOrderType;

    @ApiModelProperty(name = "scan_iff_num", value = "差异数量，扫码订单打出来的数据必传")
    private Integer scanDiffNum;


}

